# Simple Bluetooth Receiver

Simple bluetooth receiver built on ESP32 using the AudioTools library. It gets an a2dp stream via bluetooth and then transmits it to a I2S device (e.g. PCM5102A).


## Hardware

Just a 

- ESP32 (eg. dev module) and
- a external DAC (eg. PCM5102A breakout boards)

are needed for this to work.

---

**Connecting together:**

I2S device | ESP32   | Usage
---------- | ------- | -----------
VIN/VCC    | 3V3/5V  | Power (3V)
GND        | GND     | Power (GND)
WS/LRCLK   | GPIO15  | Word select
DIN/Data   | GPIO22  | actual i2s data
BCLK       | GPIO15  | Serial clock


## Flashing

Just clone the repo, open the project in arduino IDE, connect ESP32, select correct Board Type.
Due to the large size of the libraries used, the partition scheme needs to be changed: Go to _Tools_ -> _Partition Scheme_ and select _**Minimal SPIFFS**_.
Now compile and flash using the upload button (or _CTRL+U_)!


## License

This project is licensed under GPL-3.0-or-later. See [LICENSE](LICENSE).